当前位置:首页 > 分享 > 将wdcp编译版php5.3里面的ZendOptimizer升级到ZendGuardLoader

将wdcp编译版php5.3里面的ZendOptimizer升级到ZendGuardLoader

时间:2016-09-26 22:49:48 来源:xwidea.com 作者:xwidea.com 点击:910次

wdcp编译版选择了php5.3但是安装的zend还是ZendOptimizer3.3版的,明显不符合要求,所以得改成ZendGuardLoader

下面就来讲解下修改方法:

1、下载ZendGuardLoader

wget http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz

tar -zxvf ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz

cp ZendGuardLoader-php-5.3-linux-glibc23-x86_64/php-5.3.x/ZendGuardLoader.so /www/wdlinux/Zend/lib/

2、修改php.ini加载ZendGuardLoader,wdcp一共有两处要修改

/www/wdlinux/Zend/etc/php.ini

/www/wdlinux/etc/php.ini

把这两处的尾部zend加载地方改成如下代码:

[Zend]
zend_extension=/www/wdlinux/Zend/lib/ZendGuardLoader.so
zend_loader.enable=1

3、替换后,重启web服务即可,是不是很简单!


网友评论
评论人:
评论内容:
验证码: